#ifndef ITK_Clone_H
#define ITK_Clone_H

#include <itk/transformation.h>


class Clone : public Transformation {
public:
                  Clone();
  virtual        ~Clone();

  virtual bool    transform( Raster &src, Raster &dest);
  virtual bool    transform( const Raster &src, Raster &dest);

private:
  DENY_COPY( Clone)

          bool    do_clone( const Raster &src, Raster &dest);
};


#ifdef DO_ITK_INLINE
#include <itk/clone.inl>
#endif


#endif//ITK_Clone_H
